Package com.macrofocus.high_d.list

# Class EfficientIndexModel

java.lang.Object
com.macrofocus.high_d.list.AbstractIndexModel<Object>
com.macrofocus.high_d.list.EfficientIndexModel

All Implemented Interfaces:
  `IndexModel<Object>`

public class EfficientIndexModel extends AbstractIndexModel<Object>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EfficientIndexModel(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, C column, Comparator comparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addIndexListener(IndexListener indexListener)`
  `void`
  `addMissing(Object source, int row)`
  `void`
  `addObject(Object source, Object object)`
  `void`
  `addRow(Object source, int index, int row)`
  `int`
  `getIndex(int row, int j)`
  `int`
  `getIndexCount(int row)`
  `int`
  `getMissing(int j)`
  `int`
  `getMissingCount()`
  `Object`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  `int`
  `getRow(int index, int j)`
  `int`
  `getRowCount(int index)`
  `void`
  `removeMissing(Object source, int row)`
  `void`
  `removeObject(Object source, int index, Object key)`
  `void`
  `removeRow(Object source, int index, int row)`
  `void`
  `replaceObject(Object source, Object oldkey, Object newkey)`

  ### Methods inherited from class com.macrofocus.high_d.list.AbstractIndexModel

  `getObjectIndex, getObjectIndexStartWith, hasRow`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EfficientIndexModel

    public EfficientIndexModel(com.macrofocus.molap.dataframe.DataFrame<R,C,V> dataFrame, C column, Comparator comparator)

- ## Method Details

  - ### getObject

    public Object getObject(int index)

  - ### getObjectCount

    public int getObjectCount()

  - ### addObject

    public void addObject(Object source, Object object)

  - ### replaceObject

    public void replaceObject(Object source, Object oldkey, Object newkey)

  - ### removeObject

    public void removeObject(Object source, int index, Object key)

  - ### getRow

    public int getRow(int index, int j)

  - ### getRowCount

    public int getRowCount(int index)

  - ### addRow

    public void addRow(Object source, int index, int row)

  - ### removeRow

    public void removeRow(Object source, int index, int row)

  - ### getMissing

    public int getMissing(int j)

  - ### getMissingCount

    public int getMissingCount()

  - ### addMissing

    public void addMissing(Object source, int row)

  - ### removeMissing

    public void removeMissing(Object source, int row)

  - ### getIndex

    public int getIndex(int row, int j)

  - ### getIndexCount

    public int getIndexCount(int row)

  - ### addIndexListener

    public void addIndexListener(IndexListener indexListener)